List members

List members. Current members by default, one per ward.

GET https://www.chicagopolitics.org/api/v1/members

Authorizations

HeaderValue
AuthorizationBearer <key>. Get a key; see authentication.

Query parameters

NameTypeRequiredDescription
statusstringOne of: current, former, all. Default current.
committeestringOnly members of this committee (slug).

Response

200 Members: a list in data, with meta and links (see pagination).

FieldTypeDescription
idinteger
namestring
wardinteger
statusstring
linksobject
photostring | null
emailstring | null
attendancePctnumber | null
withMajorityPctnumber | null
legislationFiledinteger | null

Example request

curl "https://www.chicagopolitics.org/api/v1/members" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"

Errors: 400, 401, 429 (see errors).